Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# Qt 3 Support Members for QList

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QList class reference

## Public Functions

iterator | find ( const T & t )
const_iterator | find ( const T & t ) const
iterator | find ( iterator from, const T & t )
const_iterator | find ( const_iterator from, const T & t ) const
int | findIndex ( const T & t ) const
iterator | remove ( iterator pos )
int | remove ( const T & t )

## Member Function Documentation

### iterator QList::find ( const T & t )

Use indexOf() instead.

### const_iterator QList::find ( const T & t ) const

Use indexOf() instead.

### iterator QList::find ( iterator from, const T & t )

Use indexOf() instead.

### const_iterator QList::find ( const_iterator from, const T & t ) const

Use indexOf() instead.

### int QList::findIndex ( const T & t ) const

Use indexOf() instead.

### iterator QList::remove ( iterator pos )

Use erase() instead.

### int QList::remove ( const T & t )

Use removeAll() instead.